Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Dmitry Gutov <[email-masked]>
Date: Mon, 15 Aug 2022 22:54:30 +0300

On 15.08.2022 22:25, Gregory Heytings wrote:
> 
>>
>> I've never seen fontification-functions contain anything but 
>> jit-lock-function,
>>
> 
> You did not read the thread carefully enough: two weeks ago it was 
> mentioned that fontification-functions has at least two other users: in 
> ELPA multi-mode.el sets fontification-functions to multi-fontify, and in 
> MELPA poly-lock.el sets fontification-functions to poly-lock-function.

Okay. But those should be easily adapted to use jit-lock-functions instead.

They'll get all the corresponding performance improvements (just-in-time 
fontification) as a bonus.